Subject: draft-ietf-pkix-rfc2511bis-00.txt: Declaration of Name

From: [email-masked] (Michael Ströder)
Date: Mon, 26 Feb 2001 16:29:15 +0100

HI!

I'm reviewing draft-ietf-pkix-rfc2511bis-00.txt.
I stumbled across declaration of CertTemplate:

CertTemplate ::= SEQUENCE {
[..]
    issuer       [3] Name                  OPTIONAL,
[..]
    subject      [5] Name                  OPTIONAL,
[..]

But I did not find a declaration of the form

Name ::=

Although I found the declaration

      issuerName  ::= <names>
      subjectName ::= <names>

in appendix B.1.1. Could you tell me why the declaration of "Name"
is missing or where I am supposed to find it?

Ciao, Michael.

---

From: Ari Kermaier <[email-masked]>
Date: Mon, 26 Feb 2001 12:15:57 -0500

See RFC 2459 Section 4.1.2.4 Issuer.

::Ari

---

From: Michael Ströder <[email-masked]>
Date: Mon, 26 Feb 2001 19:34:56 +0100

Ari Kermaier wrote:
> 
> >Could you tell me why the declaration of "Name"

Thank you. I overlooked:

IMPORTS
     -- Directory Authentication Framework (X.509)
        Version, AlgorithmIdentifier, Name, Time,

Ciao, Michael.